CUTLASS: cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator Class Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator Class Reference
Predicate Iterator Concept

An iterator implementing Predicate Iterator Concept enabling sequential read and write access to predicates.

`#include <predicate_vector.h>`

## Public Member Functions
CUTLASS_HOST_DEVICE | Iterator (Iterator const &it)
| Copy constructor. More...
CUTLASS_HOST_DEVICE | Iterator (PredicateVector &vec, int _start=0)
| Constructs an iterator from a PredicateVector. More...
CUTLASS_HOST_DEVICE Iterator & | operator++ ()
| Pre-increment. More...
CUTLASS_HOST_DEVICE Iterator & | operator+= (int offset)
| Increment. More...
CUTLASS_HOST_DEVICE Iterator & | operator-- ()
| Pre-decrement. More...
CUTLASS_HOST_DEVICE Iterator & | operator-= (int offset)
| Decrement. More...
CUTLASS_HOST_DEVICE Iterator | operator++ (int)
| Post-increment. More...
CUTLASS_HOST_DEVICE Iterator | operator-- (int)
| Post-decrement. More...
CUTLASS_HOST_DEVICE Iterator | operator+ (int offset)
| Iterator advances by some amount. More...
CUTLASS_HOST_DEVICE Iterator | operator- (int offset)
| Iterator recedes by some amount. More...
CUTLASS_HOST_DEVICE bool | operator== (Iterator const &it) const
| Returns true if iterators point to the same bit. More...
CUTLASS_HOST_DEVICE bool | operator!= (Iterator const &it) const
| Returns false if iterators point to the same bit. More...
CUTLASS_HOST_DEVICE bool | get ()
| Gets the bit at the pointed to location. More...
CUTLASS_HOST_DEVICE bool | at () const
| Gets the bit at the pointed to location. More...
CUTLASS_HOST_DEVICE bool | operator* () const
| Dereferences iterator. More...
CUTLASS_HOST_DEVICE void | set (bool value=true)
| Sets the bit at the pointed to location. More...

## Constructor & Destructor Documentation

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::Iterator | ( | Iterator const & | it | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::Iterator | ( | PredicateVector & | vec,
|  | int | _start = `0`
| ) |  |
| inline

## Member Function Documentation

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::at | ( |  | ) | const
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::get | ( |  | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator!= | ( | Iterator const & | it | ) | const
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator* | ( |  | ) | const
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator+ | ( | int | offset | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator++ | ( |  | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator++ | ( | int |  | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator+= | ( | int | offset | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator- | ( | int | offset | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator-- | ( |  | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator-- | ( | int |  | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE Iterator& cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator-= | ( | int | offset | ) |
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE bool cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::operator== | ( | Iterator const & | it | ) | const
| inline

template<int kPredicates_, int kPredicatesPerByte_ = 4, int kPredicateStart_ = 0>

CUTLASS_HOST_DEVICE void cutlass::PredicateVector< kPredicates_, kPredicatesPerByte_, kPredicateStart_ >::Iterator::set | ( | bool | value = `true` | ) |
| inline

The documentation for this class was generated from the following file:

- predicate_vector.h